## ---- include = FALSE---------------------------------------------------------
knitr::opts_chunk$set(
  collapse = TRUE,
  comment = "#>"
)

## ---- warning=F, message=FALSE, eval=TRUE-------------------------------------
library(tensorFun)

## -----------------------------------------------------------------------------
a <- array(1:24, dim=c(3,4,2))

## -----------------------------------------------------------------------------
a[3,1,1] <- NA
print(a)

## -----------------------------------------------------------------------------
b <- a
b <- rearrange(b, 1)$ten
b <- rearrange(b, 2)$ten
b <- rearrange(b, 3)$ten
print(b)

## -----------------------------------------------------------------------------
# rearrange
c <- rearrange(a, 1)
l1 <- c$l
c <- rearrange(c$ten, 2)
l2 <- c$l
c <- rearrange(c$ten, 3)
l3 <- c$l

# rearrange backwards
d <- rearrange_inv(c$ten, 1, l1)
d <- rearrange_inv(d, 2, l2)
d <- rearrange_inv(d, 3, l3)
print(d==a)

## -----------------------------------------------------------------------------
All_rearrange(a)

## -----------------------------------------------------------------------------
All_inv(All_rearrange(a)) == a

## -----------------------------------------------------------------------------
a.1 <- unfold(a, 1)
print(a.1)

## -----------------------------------------------------------------------------
refold(a.1, 1, dim(a))==a

## -----------------------------------------------------------------------------
ttm(a, matrix(1:4,nrow=2), 3)

## -----------------------------------------------------------------------------
print(obs_ind(a,1))
print(obs_ind(a,2))
print(obs_ind(a,3))

